/*  
    2.3.2006 dela OK
    
    EEPROM
        
    delovanje programa:
    Izpis binarne vrednosti spremenljivke z LED-icami.
    Spremenljivka se sprotno shranjuje v eeprom. Od izpadu
    napajanja se povecevanje vrednosti nadaljuje z zadnjo 
    shranjeno vrednostjo.
   
    CodeVisionAVR C Compiler
    (C) 2000-2002 HP InfoTech S.R.L.
    www.hpinfotech.ro

    Chip: Mega8515

*/

// I/O register definitions for Mega8515
#include <Mega8515.h>   

// Quartz crystal frquency [Hz]
#define xtal 4000000    

#include <delay.h>

// globalne spremenljivke

void main(void)
{
    // lokalne spremenljivke
    unsigned int data;          
	unsigned int eeprom *ptr;

    DDRA = 0xff;    // vsi pini portaA so izhodi
    PORTA = 0xff;   // zacnemo v ugasnjenimi LED-icami    

    //neskoncna zanka
    while (1)
          {       		
    		//beremo iz eeproma	
        	ptr  = 0x00;    // EEPROM adr. 00H  
    	    data = *ptr; 	// EEPROM -> data1  
                                
           	PORTA = ~data;  // izpis binarne vrednosti z LED-icami
           	delay_ms(500);
                          	
           	data++;         // povecamo spremenljivko
           	       
           	//vpisujemo v eeprom
           	ptr  = 0x00;        //EEPROM adr. 00H
           	*ptr = data;          //data to EEPROM adr. 00H  
    
          };
}
